Bug Hunting Session
Bug 101699 - Gtk3 combobox lacks spacing between entry and button
Summary: Gtk3 combobox lacks spacing between entry and button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All Linux (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2016-08-24 12:31 UTC by Trinh Anh Ngoc
Modified: 2016-10-17 14:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (21.57 KB, image/png)
2016-08-24 12:31 UTC, Trinh Anh Ngoc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trinh Anh Ngoc 2016-08-24 12:31:25 UTC
Created attachment 127002 [details]
Screenshot

Gtk3 combobox entry needs spacing between entry and button (like gtk2). It would be better if it was same as native gtk3 combobox (linked style).
Comment 1 Buovjaga 2016-09-21 19:20:46 UTC
Yep.
Comment 2 Commit Notification 2016-10-14 09:38:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e8dbdbe1a9d15d7e7d000e4132fd5df3fecd660

Related: tdf#101699 gtk3: get correct combobox and listbox arrows

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-10-14 09:38:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cb720836ab03701ce508e302790c115c7808619

Related: tdf#101699 gtk3: get correct arrow width

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Hussam Al-Tayeb 2016-10-15 19:44:44 UTC
It doesn't look fixed to me.
http://i.imgur.com/soIyFrL.png
Gtk+ 3.22.1 with default Adwaita theme.
Comment 5 Hussam Al-Tayeb 2016-10-15 21:13:15 UTC
(In reply to Hussam Al-Tayeb from comment #4)
> It doesn't look fixed to me.
> http://i.imgur.com/soIyFrL.png
> Gtk+ 3.22.1 with default Adwaita theme.

This is with a fresh git checkout built 5 hours ago.
Comment 6 Commit Notification 2016-10-17 14:04:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2af8f92a7308bc28c257b7905ec3a8a724554b1

Resolves: tdf#101699 get combobox junction right

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.